1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

can´t execute pleskrestore / bash error: /usr/local/psa/bin/sw-engine-pleskrun

Discussion in 'Plesk 9.x for Linux Issues, Fixes, How-To' started by ChrisE@, Jan 10, 2009.

  1. ChrisE@

    ChrisE@ Guest

    0
     
    After reinstalling Plesk 9 everything seems to work fine.

    But, executing /usr/local/psa/bin/pleskrestore produces following error message:

    Code:
    servername:/ # /usr/local/psa/bin/pleskrestore
    bash: /usr/local/psa/bin/pleskrestore: /usr/local/psa/bin/sw-engine-pleskrun: bad interpreter: No such file or directory
    
    I´ve uninstalled all sw* packages and reinstalled them. But the error message still appears. When I take a look into the /usr/local/psa/bin/ directory, there is no "sw-engine-pleskrun".

    A locate for "sw-engine" gets following result:

    Code:
    servername:/ # locate sw-engine
    /usr/bin/sw-engine
    /usr/bin/sw-engine-cgi
    /usr/local/psa/tmp/sw-engine-8880.sock-0
    /usr/local/psa/tmp/sw-engine.sock-0
    
    When I take a look at the pleskrestore file, first two rows are:

    Code:
    #!/usr/local/psa/bin/sw-engine-pleskrun
    <?php
    
    The pleskbackup file works fine. Do any of you have an idea how to solve this problem?

    Thanks a lot.

    Christian
     
Loading...